﻿/* role/2 */
	
role( _, 0).		
role( ag, 1).		
role( exp, 2).		
role( th, 3).		
role( ben, 4).		
role( dir, 5).		
role( loc, 6). 		
role( prd, 7).		
role( no, 8).		
role( unsp, 9).		
		
/* category/2 */

category( _, 0).	
category( np, 1).	
category( at, 2).	
category( hv, 3).	
category( å_inf, 4).	
category( seg, 5).	
category( pp, 6).	
category( advp, 7).	
category( ap, 8).	
category( unsp, 9).	
	
/* function/2 */

function( _, 0).
function( ea, 1).
function( gov, 2).
function( io, 3).
function( pgov, 4).
function( adv, 5).
function( gen, 6).
function( incorp, 7).
function( attrib, 8).
function( unsp, 9).



			
/* macro/2 */		%% * means optional realization of K and F; if K and F are 
			%% specified but not realized, then R is an implicit argument.


macro( unacc_iv, 0).		%no-np-ea
				%"regne" "buldre"

macro( iv_ag, 1). 		%ag-np-ea
				%"handle"
	
macro( iv_exp, 2).  		%exp-np-ea
				%"fryse"

macro( iv_th, 3). 		%th-np-ea

macro( unacc_tv_th, 4). 	%no-np-ea+th-np-gov
				%"rulle"

macro( unacc_tv_ag, 5). 	%no-np-ea+ag-np-gov
				%"gå"

macro( tv_ag_th, 6). 		%ag-np-ea+th-np-gov

macro( tv_ag_optth, 7). 	%ag-np-ea+th-np-gov*
				%"spise"
					
macro( tv_th_exp, 8). 		%th-np-ea+exp-np-gov

macro( tv_th_optexp, 9). 	%th-np-ea+exp-np-gov*
				%"bekymre"

macro( ditv, 10). 		%ag-np-ea+th-np-gov+ben-np-io

macro( ditv_optio, 11). 	%ag-np-ea+th-np-gov+ben-np-io*
				%"sende"

macro( tv_optpp, 12). 		%ag-np-ea+th-np-gov+ben-np-til* 
				%"sende"

macro( ditv_optdo_io, 13). 	%ag-np-ea+(th-np-gov+ben-np-io)* 
				%"gi"

macro( tv_optdo_optpp, 14). 	%ag-np-ea+th-np-gov*+ben-np-til* 
				%"gi"

macro( unacc_ditv, 15). 	%no-np-ea+th-np-gov+ben-np-io 
				%"tilfalle"

macro( unacc_ditv_optio, 16). 	%no-np-ea+th-np-gov+ben-np-io* 
				%"hende"			

macro( unacc_tv_optpp, 17). 	%no-np-ea+th-np-gov+ben-np-pgov*

macro( refl_ag, 18). 		%ag-np-ea+no-seg-gov
				%"vaske seg"

macro( refl_exp, 19). 		%exp-np-ea+no-seg-gov
				%"grue seg" 

macro( refl_th, 20). 		%th-np-ea+no-seg-gov
				%"arte seg" 

macro( unacc_refl_tv_th, 21). 	%no-np-ea+no-seg-gov+th-np-gov
				%"åpne seg"

macro( unacc_refl_tv_ag, 22). 	%no-np-ea+no-seg-gov+ag-np-gov
				%"sette seg"

macro( tv_exp_th, 23). 		%exp-np-ea+th-np-gov
				%"føle" "oppleve"

macro( tv_th_th, 24). 		%th-np-ea+th-np-gov
				%"absorbere"

macro( tv_ag_at, 25). 		%ag-np-ea+th-atS-gov
				%"si"

macro( tv_ag_hv, 26). 		%ag-np-ea+th-hvS-gov

macro( tv_ag_, 27). 		%ag-np-ea+th-åinf-gov

macro( tv_exp_at, 28). 		%exp-np-ea+th-atS-gov
				%"føle"

macro( tv_exp_hv, 29). 		%exp-np-ea+th-hvS-gov

macro( tv_exp_, 30). 		%exp-np-ea+th-åinf-gov
	
macro( tv_exp_optth, 31). 	%exp-np-ea+th-np-gov*	

macro( tv_th_optth, 32). 	%th-np-ea+th-np-gov*

macro( tv_ag_optat, 33). 	%ag-np-ea+th-atS-gov*   

macro( tv_ag_opthv, 34). 	%ag-np-ea+th-hvS-gov*

macro( tv_ag_opt, 35). 		%ag-np-ea+th-åinf-gov*

macro( tv_exp_optat, 36). 	%exp-np-ea+th-atS-gov*

macro( tv_exp_opthv, 37). 	%exp-np-ea+th-hvS-gov*

macro( tv_exp_opt, 38). 	%exp-np-ea+th-åinf-gov*	

macro( sc_ap_prd, 41). 		%scsu-np-gov+prd-ap-gov
				%sc i "sparke NP flat"

macro( sc_pp_prd, 42). 		%scsu-np-gov+prd-pp-gov
				%sc i"gå NP av foten"

macro( sc_advp_prd, 43). 	%scsu-np-gov+prd-advp-gov
				%sc i"sparke NP ut (av..)"

macro( sc_ap_prd_optscsu, 44). 	%scsu-np-gov*+prd-ap-gov
				%sc i"gjøre (NP) glad"

macro( sc_pp_prd_optscsu, 45). 	%scsu-np-gov*+prd-pp-gov
				%sc i"gjøre (NP) i godt humør"

macro( sc_advp_prd_optscsu, 46). 	%scsu-np-gov*+prd-advp-gov		

macro( ap_prd, 47). 		%prd-ap-gov
				%pred i "gå tom"
	 
macro( pp_prd, 48). 		%prd-pp-gov
				%pred i "gå fra båten"

macro( advp_prd, 49). 		%prd-advp-gov
				%pred i "gå ut"

macro( sc_pp_degprd, 50). 	%scsu-np-gov+degprd-pp-gov
				%sc med degen.pred.pp

macro( sc_pp_degprd_optscsu, 51). %scsu-np-gov*+degprd-pp-gov		

macro( pp_degprd, 52). 		%degprd-pp-gov				

macro( sc_advp_degprd, 53). 	%scsu-np-gov+degprd-advp-gov
				%sc med degen.pred.advp

macro( sc_advp_degprd_optscsu, 54).	%scsu-np-gov*+degprd-advp-gov	
	
macro( advp_degprd, 55). 	%degprd-advp-gov				

macro( sc_som_ap_prd, 60). 	%scsu-np-gov+prd-ap-som
				%sc i "betrakte NP som ond"

macro( sc_som_np_prd, 61). 	%scsu-np-gov+prd-np-som
					%sc i ".........NP som NP"

macro( sc_til_np_prd, 62). 	%scsu-np-gov+prd-np-til
					%sc i "utnevne NP til NP"

macro( sc_for_, 63). 		%scsu-np-gov+prd-åinf-for
					%sc i "anse NP for å v¾re.."

macro( sc_inf_prd, 64). 	%scsu-np-gov+ prd-inf-gov
					%sc i "se NP komme"

macro( del_pp, 65). 		%del-np-pgov
				%PP i "skyte NP i ryggen"

